ตรวจสอบบัญชี
smilepayz teamsน้อยกว่า 1 นาที
ชื่อเจ้าของบัญชี ธนาคาร/กระเป๋าในอินโดนีเซีย (paymentMethod, area 10)
Request
POST/v2.0/inquiry-account
Request Path:
sandbox: https://sandbox-gateway.smilepayz.com/v2.0/inquiry-account
production: https://gateway.smilepayz.com/v2.0/inquiry-account
| Field | Required | Type | Description |
|---|
Content-Type | M | String | application/json request body. |
X-TIMESTAMP | M | String | Format: yyyy-MM-ddTHH:mm:ss±HH:mm |
X-SIGNATURE | M | String | Signature of JSON body (see product Signature doc). |
X-PARTNER-ID | M | String | Your merchantID (alphanumeric). |
Body Parameters
| Field | Required | Type | Description |
|---|
area | M | Integer | Region code; 10 = Indonesia. |
merchantId | M | String | Smilepayz merchantId for this call. |
paymentMethod | M | String | Code (see Payment methods doc). |
bankAccountNo | M | String | Account number to look up. |
Example Body – Account Inquiry Request:
Content-type: application/json
X-TIMESTAMP: 2020-12-18T15:06:00+07:00
X-SIGNATURE: 85be817c55b2c135157c7e89f52499bf0c25ad6eeebe04a986e8c862561b19a5
X-PARTNER-ID: 20001
{
"area": 10,
"merchantId": "20019",
"paymentMethod": "BCA",
"bankAccountNo": "40755555555"
}
Responses
HTTP Request
| Field | Required | Type | Description |
|---|
Content-Type | M | String | application/json request body. |
X-TIMESTAMP | M | String | Format: yyyy-MM-ddTHH:mm:ss±HH:mm |
Body Parameters
| Field | Required | Type | Description |
|---|
code | M | String | 00 success, other values error. |
message | M | String | UTF-8 human-readable result line. |
paymentMethod | O | String | Code (see Payment methods doc). |
bankAccountNo | O | String | Queried account number. |
bankAccountName | O | String | Holder name (UTF-8). |
Example Body – Account Inquiry Response:
Content-type: application/json
X-TIMESTAMP: 2020-12-17T10:55:00+07:00
{
"code": "00",
"message": null,
"paymentMethod": "BCA",
"bankAccountNo": "40755456555",
"bankAccountName": "the name"
}